function dx = RHSPK(~,x)

% import constants
global S k NrReactions
% import (time-dependent) reaction rates 
r = ReactionFunctions(x,k,NrReactions);
% compute derivative unit: [mole/min]
dx = S*r;

%compute reaction rates
function r = ReactionFunctions(x,k,NrReactions)
r = zeros(NrReactions,1);
r(1)  = x(12)*k(1); % first order reaction
r(2)  = x(1)*k(2);  % first order reaction
r(3)  = x(12)*k(3); % first order reaction
r(4)  = x(2)*k(4);  % first order reaction
r(5)  = x(12)*k(5); % first order reaction
r(6)  = x(3)*k(6);  % first order reaction
r(7)  = x(12)*k(7); % first order reaction
r(8)  = x(5)*k(8);  % first order reaction
r(9)  = x(12)*k(9); % first order reaction
r(10) = x(6)*k(10); % first order reaction
r(11) = x(12)*k(11);% first order reaction
r(12) = x(9)*k(12); % first order reaction
r(13) = x(12)*k(13);% first order reaction
r(14) = x(10)*k(14);% first order reaction
r(15) = x(12)*k(15);% first order reaction
r(16) = x(12)*k(16);% first order reaction
r(17) = x(4)*k(17); % first order reaction
r(18) = x(4)*k(18); % first order reaction
r(19) = x(11)*k(19);% first order reaction
r(20) = x(11)*k(20);% first order reaction
r(21) = x(7)*k(21); % first order reaction
r(22) = x(13)*k(22);% first order reaction
r(23) = x(8)*k(23); % first order reaction
r(24) = x(12)*k(24);% first order reaction
r(25) = x(12)*k(25);% first order reaction

