
%% Program Running

bw = 0.250;%kg
Simtime = 8*60;%100; %[min]

[dia_x, dia_t] = BasicScriptPK('Dia', bw, Simtime);

[eth_x, eth_t] = BasicScriptPK('Eth', bw, Simtime);

[pro_x, pro_t] = BasicScriptPK('Pro', bw, Simtime);


%% Plotting


figure(1)
plot(dia_t,dia_x(:,12))
xlabel('time [min]')
ylabel('concentrations [mol/L]')
set(gca,'YScale','log')%plot y-axis logarithmically
legend('central cmp')
PlotNicely(1)

figure(2)
plot(dia_t,dia_x(:,12),eth_t, eth_x(:,12),pro_t, pro_x(:,12))
xlabel('time [min]')
ylabel('[mg]')
set(gca,'YScale','log')%plot y-axis logarithmically

legend('Dia','Eth', 'Pro')
PlotNicely(2)

figure(3)
plot(pro_t./(60),pro_x(:,[12 7 14]))
xlabel('time [hours]')
ylabel('[mg]')
set(gca,'YScale','log')%plot y-axis logarithmically
legend('Arterial Blood','Liver', 'Sink')
PlotNicely(3)