
%% Program Running

Simtime = 3*24*60;%[min]
bw = 0.250;%[kg]
DosingInterval = 6*60;%[min]

[dia_x, dia_t] = BasicScriptPKMultiDosing( 'Dia', bw, Simtime, DosingInterval );

[eth_x, eth_t] = BasicScriptPKMultiDosing('Eth', bw, Simtime, DosingInterval);

[pro_x, pro_t] = BasicScriptPKMultiDosing('Pro', bw, Simtime, DosingInterval);



%% Plotting

tOutput=dia_t;
xOutput=dia_x;
figure(1)
%plot desired concentration range
area([0 Simtime/((60*24))],[5e-4 5e-4],3.3e-4,'FaceColor',[.7 .7 .7],'EdgeColor','none')
hold on
%plot trajectory
h = plot(tOutput./(60*24),xOutput(:,13));
%legends/labels
xlabel('time [days]')
ylabel('concentrations [mol/L]')
set(gca,'YScale','log')
legend(h,'Venous Blood')
PlotNicely(1)
%plot dosing events as vertical lines
for i = 1:floor(Simtime/DosingInterval)
    line([i*DosingInterval i*DosingInterval]./(60*24),[1 0.001],'LineStyle','--','Color','k')
end

figure(2)
plot(tOutput./(60*24),xOutput(:,[13 14]))
xlabel('time [days]')
ylabel('[mg]')
set(gca,'YScale','log')%plot y-axis logarithmically
legend('Venous Blood','sink')
PlotNicely(2)

figure(3)
plot(tOutput./(60*24),xOutput(:,[13 1]))
xlabel('time [days]')
ylabel('[mg]')
set(gca,'YScale','log')%plot y-axis logarithmically
legend('Venous Blood','Adipose')
PlotNicely(3)